Bug 903442 - Temporary workaround for 807237
Summary: Temporary workaround for 807237
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: scheduler
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.11
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard: Misc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-24 01:50 UTC by Raymond Mancy
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 03:37:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 807237 0 high CLOSED Job still running when all of its parts are completed 2021-02-22 00:41:40 UTC

Internal Links: 807237

Description Raymond Mancy 2013-01-24 01:50:33 UTC
The next release where we could fit 807237 in is 1.0. It's likely to be to dangerous a change to release as a hotfix, so I propose that we create a temporary workaround that corrects the state of the DB, and so hopefully remove the symptoms of the problem.

Comment 1 Nick Coghlan 2013-01-24 06:10:11 UTC
Perhaps a simple script admins can run on the server to check (and optionally correct) the state of all incomplete recipes?

So, by default it would just list all the incomplete jobs and recipe sets where all tasks are actually complete, with a command line option to tell it to propagate the low-level state to overwrite the stale data at the higher levels.

Comment 2 Raymond Mancy 2013-02-01 00:25:16 UTC
http://gerrit.beaker-project.org/#/c/1679/

Comment 4 Jaroslav Kortus 2013-02-06 09:17:09 UTC
I've been using this to work around the problem:
session.begin()
jobs = Job.query.all()
for job in jobs:
    print "JOB: %s Status: %s" % (job.id,job.status)
    if not job.is_finished():
	print "Updating..."
        job.update_status()
print "Finished."
session.commit()

Comment 5 Min Shin 2013-02-13 03:41:53 UTC
Beaker 0.11.3 hot fix has been released.


Note You need to log in before you can comment on or make changes to this bug.